Important
Self-managed SingleStore will soon transition from version 9.1 RC to version 10. This new semantic versioning scheme will provide SingleStore with finer control over engine and feature releases that were not possible with the current versioning scheme.
In the interim, SingleStore 9.1 RC can be used to preview, evaluate, and provide feedback on the new and upcoming features in SingleStore 10 prior to its general availability. Ahead of this transition, SingleStore 9.0 is recommended for production workloads, which can later be upgraded to SingleStore 10.
jwks_ setup
On this page
Endpoint URL
/api/v2/jwks_
HTTP Method
POST
Description
Triggers update of the JWKS used by the Data API.jwks_ to authenticate requests to the API.
Request Headers
|
Header |
Description |
|---|---|
|
Authorization |
Specifies the authentication information of the user agent. |
Request Body
The POST /api/v2/jwks_ request does not require a request body.
Response
For successful requests, the response will be an empty message body along with the HTTP status code 200 OK.
On request failure, an HTTP status code corresponding to the error will be returned.
Example (Shell)
Here's a sample cURL command that triggers the JWKS update using the /api/v2/jwks_ endpoint:
curl -X POST -u "root:YourPassword" https://hostname:port/api/v2/jwks_setup
Last modified: